j_syscolors.d(1m)

NAME
j_syscolors.d - trace Java method flow plus syscalls, in color.

SYNOPSIS
j_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This traces Java methods if the hotspot provider exists (1.6.0) and the flag "+ExtendedDTraceProbes" is used. eg, java -XX:+ExtendedDTraceProbes classfile This watches Java method entries and returns, and indents child method calls. If the flow appears to jump, check the TID column - the JVM may have switched to another thread.

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_syscolors.d

FIELDS

C   CPU-id

PID Process ID

TID Thread ID

DELTA(us)
    Elapsed time from previous line to this line

TYPE
    Type of call (func/syscall)

NAME
    Java method or syscall name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled. Changes in TID will appear to shuffle output, as we change from one thread depth to the next. See Docs/Notes/ALLjavaflow.txt for additional notes.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)